-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlRegion

Declaration :

- C++ : class UmlRegion : public UmlBaseRegion, public UmlStateItem
- Java : class UmlRegion extends UmlBaseRegion implements UmlStateItem

Artifact : UmlRegion

Operation UmlRegion

Declaration :

- C++ : public: UmlRegion(void * id, const QCString & s) : UmlBaseRegion(id, s)
- Java : public UmlRegion(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload